Function
erase
Erases a part of a container
erase(object, pos [, pos_end])
Include Headers
seqan/sequence.h
Parameters

object | The container. Types: Owner, String
pos | Position of the first item in object that is to be destroyed.
pos_end | Position behind the last item in object that is to be destroyed. (optional) Default: pos + 1 Remarks: If pos_end is omitted, only one element in object at position pos is destroyed.

Remarks
erase(object, pos, pos_end) is semantically the same as resizeSpace(object, 0, pos, pos_end).
Part of Concept
ContainerConcept
See Also
eraseBack
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58